Record external payment
curl --request POST \
--url https://api.quentli.com/v1/external-payments \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"input": {
"customerId": "<string>",
"amount": 123,
"currency": "<string>",
"externalTypeId": "<string>",
"paymentTime": "2026-11-19T20:54:00.920Z",
"description": "<string>",
"invoiceAllocations": [
{
"invoiceId": "<string>",
"settledAmount": 123
}
]
}
}
'import requests
url = "https://api.quentli.com/v1/external-payments"
payload = { "input": {
"customerId": "<string>",
"amount": 123,
"currency": "<string>",
"externalTypeId": "<string>",
"paymentTime": "2026-11-19T20:54:00.920Z",
"description": "<string>",
"invoiceAllocations": [
{
"invoiceId": "<string>",
"settledAmount": 123
}
]
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
input: {
customerId: '<string>',
amount: 123,
currency: '<string>',
externalTypeId: '<string>',
paymentTime: '2026-11-19T20:54:00.920Z',
description: '<string>',
invoiceAllocations: [{invoiceId: '<string>', settledAmount: 123}]
}
})
};
fetch('https://api.quentli.com/v1/external-payments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.quentli.com/v1/external-payments",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'input' => [
'customerId' => '<string>',
'amount' => 123,
'currency' => '<string>',
'externalTypeId' => '<string>',
'paymentTime' => '2026-11-19T20:54:00.920Z',
'description' => '<string>',
'invoiceAllocations' => [
[
'invoiceId' => '<string>',
'settledAmount' => 123
]
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.quentli.com/v1/external-payments"
payload := strings.NewReader("{\n \"input\": {\n \"customerId\": \"<string>\",\n \"amount\": 123,\n \"currency\": \"<string>\",\n \"externalTypeId\": \"<string>\",\n \"paymentTime\": \"2026-11-19T20:54:00.920Z\",\n \"description\": \"<string>\",\n \"invoiceAllocations\": [\n {\n \"invoiceId\": \"<string>\",\n \"settledAmount\": 123\n }\n ]\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.quentli.com/v1/external-payments")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"input\": {\n \"customerId\": \"<string>\",\n \"amount\": 123,\n \"currency\": \"<string>\",\n \"externalTypeId\": \"<string>\",\n \"paymentTime\": \"2026-11-19T20:54:00.920Z\",\n \"description\": \"<string>\",\n \"invoiceAllocations\": [\n {\n \"invoiceId\": \"<string>\",\n \"settledAmount\": 123\n }\n ]\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.quentli.com/v1/external-payments")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"input\": {\n \"customerId\": \"<string>\",\n \"amount\": 123,\n \"currency\": \"<string>\",\n \"externalTypeId\": \"<string>\",\n \"paymentTime\": \"2026-11-19T20:54:00.920Z\",\n \"description\": \"<string>\",\n \"invoiceAllocations\": [\n {\n \"invoiceId\": \"<string>\",\n \"settledAmount\": 123\n }\n ]\n }\n}"
response = http.request(request)
puts response.read_body{
"payment": {
"id": "p_1234567890abcdefghij",
"createdAt": "2025-01-15T18:30:00.000Z",
"updatedAt": "2025-01-15T18:30:00.000Z",
"amount": 150000,
"currency": "MXN",
"description": "Colegiatura Enero 2025",
"type": "CARD",
"status": "COMPLETE",
"isCompleted": true,
"paymentTime": "2025-01-15T18:30:00.000Z",
"customerId": "cus_1234567890abcdefghij",
"paymentIntentId": null,
"organizationId": "org_1234567890abcdefghij",
"skipTaxInvoice": false,
"monthlyInstallments": null,
"processor": null,
"processorFee": null,
"processorFeeTax": null,
"installmentsFee": null,
"installmentsFeeTax": null,
"externalPaymentTypeId": null,
"sessionId": null,
"paymentMethodId": "pm_1234567890abcdefghij",
"metadata": null,
"meta": null
}
}{
"error": {
"message": "<string>"
}
}{
"error": {
"message": "<string>"
}
}{
"error": {
"message": "<string>"
}
}{
"error": {
"message": "<string>"
}
}Payments
Record external payment
Records a payment received outside Quentli and optionally settles pending invoices with it.
POST
/
v1
/
external-payments
Record external payment
curl --request POST \
--url https://api.quentli.com/v1/external-payments \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"input": {
"customerId": "<string>",
"amount": 123,
"currency": "<string>",
"externalTypeId": "<string>",
"paymentTime": "2026-11-19T20:54:00.920Z",
"description": "<string>",
"invoiceAllocations": [
{
"invoiceId": "<string>",
"settledAmount": 123
}
]
}
}
'import requests
url = "https://api.quentli.com/v1/external-payments"
payload = { "input": {
"customerId": "<string>",
"amount": 123,
"currency": "<string>",
"externalTypeId": "<string>",
"paymentTime": "2026-11-19T20:54:00.920Z",
"description": "<string>",
"invoiceAllocations": [
{
"invoiceId": "<string>",
"settledAmount": 123
}
]
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
input: {
customerId: '<string>',
amount: 123,
currency: '<string>',
externalTypeId: '<string>',
paymentTime: '2026-11-19T20:54:00.920Z',
description: '<string>',
invoiceAllocations: [{invoiceId: '<string>', settledAmount: 123}]
}
})
};
fetch('https://api.quentli.com/v1/external-payments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.quentli.com/v1/external-payments",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'input' => [
'customerId' => '<string>',
'amount' => 123,
'currency' => '<string>',
'externalTypeId' => '<string>',
'paymentTime' => '2026-11-19T20:54:00.920Z',
'description' => '<string>',
'invoiceAllocations' => [
[
'invoiceId' => '<string>',
'settledAmount' => 123
]
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.quentli.com/v1/external-payments"
payload := strings.NewReader("{\n \"input\": {\n \"customerId\": \"<string>\",\n \"amount\": 123,\n \"currency\": \"<string>\",\n \"externalTypeId\": \"<string>\",\n \"paymentTime\": \"2026-11-19T20:54:00.920Z\",\n \"description\": \"<string>\",\n \"invoiceAllocations\": [\n {\n \"invoiceId\": \"<string>\",\n \"settledAmount\": 123\n }\n ]\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.quentli.com/v1/external-payments")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"input\": {\n \"customerId\": \"<string>\",\n \"amount\": 123,\n \"currency\": \"<string>\",\n \"externalTypeId\": \"<string>\",\n \"paymentTime\": \"2026-11-19T20:54:00.920Z\",\n \"description\": \"<string>\",\n \"invoiceAllocations\": [\n {\n \"invoiceId\": \"<string>\",\n \"settledAmount\": 123\n }\n ]\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.quentli.com/v1/external-payments")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"input\": {\n \"customerId\": \"<string>\",\n \"amount\": 123,\n \"currency\": \"<string>\",\n \"externalTypeId\": \"<string>\",\n \"paymentTime\": \"2026-11-19T20:54:00.920Z\",\n \"description\": \"<string>\",\n \"invoiceAllocations\": [\n {\n \"invoiceId\": \"<string>\",\n \"settledAmount\": 123\n }\n ]\n }\n}"
response = http.request(request)
puts response.read_body{
"payment": {
"id": "p_1234567890abcdefghij",
"createdAt": "2025-01-15T18:30:00.000Z",
"updatedAt": "2025-01-15T18:30:00.000Z",
"amount": 150000,
"currency": "MXN",
"description": "Colegiatura Enero 2025",
"type": "CARD",
"status": "COMPLETE",
"isCompleted": true,
"paymentTime": "2025-01-15T18:30:00.000Z",
"customerId": "cus_1234567890abcdefghij",
"paymentIntentId": null,
"organizationId": "org_1234567890abcdefghij",
"skipTaxInvoice": false,
"monthlyInstallments": null,
"processor": null,
"processorFee": null,
"processorFeeTax": null,
"installmentsFee": null,
"installmentsFeeTax": null,
"externalPaymentTypeId": null,
"sessionId": null,
"paymentMethodId": "pm_1234567890abcdefghij",
"metadata": null,
"meta": null
}
}{
"error": {
"message": "<string>"
}
}{
"error": {
"message": "<string>"
}
}{
"error": {
"message": "<string>"
}
}{
"error": {
"message": "<string>"
}
}Authorizations
organizationApiKeyoauthAccessToken
Body
application/json
Was this page helpful?